HPT27XX(4)

NAME
hpt27xx - HighPoint RocketRAID 27xx SAS 6Gb/s HBA card driver

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device hpt27xx

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hpt27xx_load="YES"

DESCRIPTION
The hpt27xx driver provides support for HighPoint's RocketRAID 27xx based RAID controller.

These devices support SAS disk drives and provide RAID0 (striping), RAID1 (mirroring), and RAID5 functionality.

HARDWARE
The hpt27xx driver supports the following SAS controllers:

•   HighPoint's RocketRAID 271x series
•   HighPoint's RocketRAID 272x series
•   HighPoint's RocketRAID 274x series
•   HighPoint's RocketRAID 276x series
•   HighPoint's RocketRAID 278x series

NOTES
The hpt27xx driver only works on the i386 and amd64 platforms as it requires a binary blob object from the manufacturer which they only supply for these platforms. The hpt27xx driver does not work on i386 with pae(4) enabled.

SEE ALSO
kld(4), kldload(8), loader(8)

HISTORY
The hpt27xx device driver first appeared in FreeBSD 10.0.

AUTHORS
-nosplit The hpt27xx device driver was written by HighPoint Technologies, Inc.. This manual page was written by Xin LI <delphij@FreeBSD.org> for iXsystems, Inc.